@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;500;900&display=swap');

:root {
  --primary-color: #0c4576;
  --secondary-color: #0F5298;
  --third-color: #047aed;
  --dark-color: #001F3F;
  --light-color: #f4f4f4;
  --success-color: #5cb85c;
  --error-color: #d9534f;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  font-family: 'Roboto', sans-serif;
  color: #333;
  line-height: 1.6;
}

ul {
  list-style-type: none;
}

a {
  text-decoration: none;
  color: #333;
}

h1,
h2 {
  font-weight: 300;
  line-height: 1.2;
  margin: 10px 0;
}

p {
  margin: 10px 0;
}

img {
  width: 100%;
}

code,
pre {
  background: #333;
  color: #fff;
  padding: 10px;
}

.hidden {
  visibility: hidden;
  height: 0;
}

/* Navbar */
.navbar {
  background-color: var(--light-color);
  color: var(--secondary-color);
  height: 120px;
  font-weight: 300;
}

.navbar ul {
  display: flex;
}

.navbar a {
  color: var(--secondary-color);
  padding: 10px;
  margin: 0 5px;
}

.navbar a:hover {
  border-bottom: 2px var(--secondary-color) solid;
}

.navbar .flex {
  justify-content: space-between;
}

.navbar img {
  width: 100px;
}

/* Showcase */
.showcase {
  height: 470px;
  background-image: url('../images/architectural-design.jpg');
  background-repeat: no-repeat;
  background-size: 100% auto;
  /*background-color: var(--secondary-color);*/
  color: #fff;
  position: relative;
}

.showcase h1 {
  font-size: 52px;
  font-weight: 900;
}

.showcase h2 {
  font-size: 28px;
  font-weight: 500;
}

.showcase h3 {
  font-weight: 300;
}


.showcase p {
  margin: 20px 0;
}

.showcase .grid {
  overflow: visible;
  grid-template-columns: 55% auto;
  gap: 30px;
}

.showcase-text {
  animation: slideInFromLeft 1s ease-in;
}

.showcase-text img{
  width: 400px;
  height: auto;
  margin-left: 200px;
}

.showcase-form {
  position: relative;
  top: 60px;
  height: 300px;
  width: 600px;
  padding: 40px;
  margin-right: 200px;
  z-index: 100;
  justify-self: flex-end;
  animation: slideInFromRight 1s ease-in;
  background-color: #f4f4f4;
}

.showcase-form .form-control {
  margin: 30px 0;
}

.showcase-form input[type='text'],
.showcase-form input[type='email'] {
  border: 0;
  border-bottom: 1px solid #b4becb;
  width: 100%;
  padding: 3px;
  font-size: 16px;
}

.showcase-form input:focus {
  outline: none;
}

.showcase::before,
.showcase::after {
  content: '';
  position: absolute;
  height: 100px;
  bottom: -70px;
  right: 0;
  left: 0;
  background: #fff;
  transform: skewY(-3deg);
  -webkit-transform: skewY(-3deg);
  -moz-transform: skewY(-3deg);
  -ms-transform: skewY(-3deg);
}

.video {
  width: 970px;
  height: auto;
  padding: 10px;
  margin-top: 100px;
  margin-left: auto;
  margin-right: auto;
  background-color: var(--primary-color);
}

.imagesba {
  width: 1000px;
  margin-left: auto;
  margin-right: auto;
}

.imagesba img {
  height: 450px;
  width: auto;
}

#slideshow {
  margin: -40px 0px 0px -10px;
  position: relative;
  width: 350px;
  height: 350px;
  padding: 0px;
  /*box-shadow: 0 0 20px rgba(0,0,0,0.4); */
}

#slideshow div {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
}

.p1 {
  font-size:52px;
}

.p2 {
  font-size:52px;
}

.p3 {
  font-size:52px;
}

.daten {
  width: 1000px;
}

/* Stats */
.stats {
  padding-top: 100px;
  animation: slideInFromBottom 1s ease-in;
  font-weight: 300;
}

.stats-heading {
  max-width: 500px;
  margin: auto;
  font-weight: 300;
}

.stats .grid h3 {
  font-size: 35px;
  font-weight: 300;
}

.stats .grid p {
  font-size: 20px;
  font-weight: 300;
}

/* Cli */
.cli .grid {
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
  font-weight: 300;
}

.cli .grid > *:first-child {
  grid-column: 1 / span 2;
  grid-row: 1 / span 2;
}

/* Cloud */
.cloud .grid {
  grid-template-columns: 4fr 3fr;
}

/* Languages */

.languages .flex {
  flex-wrap: wrap;
}

.languages .card {
  text-align: center;
  margin: 18px 10px 40px;
  transition: transform 0.2s ease-in;
}

.languages .card h4 {
  font-size: 16px;
  margin-bottom: 10px;
}

.languages .card:hover {
  transform: translateY(-15px);
}

/* Features */
.features-head img,
.docs-head img {
  width: 200px;
  justify-self: flex-end;
}

.features-sub-head img {
  width: 300px;
  justify-self: flex-end;
}

.features-main .card > i {
  margin-right: 20px;
}

.features-main .grid {
  padding: 30px;
}

.features-main .grid > *:first-child {
  grid-column: 1 / span 3;
}

.features-main .grid > *:nth-child(2) {
  grid-column: 1 / span 2;
}

/* Docs */
.docs-main h3 {
  margin: 20px 0;
}

.docs-main .grid {
  grid-template-columns: 1fr 2fr;
  align-items: flex-start;
}

.docs-main nav li {
  font-size: 17px;
  padding-bottom: 5px;
  margin-bottom: 5px;
  border-bottom: 1px #ccc solid;
}

.docs-main a:hover {
  font-weight: bold;
}

/* Footer */
.footer .social a {
  margin: 0 10px;
}

.fa-github:hover {
  color: #000000;
}

.fa-facebook:hover {
  color: #1773EA;
}

.fa-youtube:hover {
  color: #ff0000;
}

.fa-instagram:hover {
  color: #B32E87;
}

.fa-twitter:hover {
  color: #1C9CEA;
}

/* Animations */
@keyframes slideInFromLeft {
  0% {
    transform: translateX(-100%);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes slideInFromRight {
  0% {
    transform: translateX(100%);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes slideInFromTop {
  0% {
    transform: translateY(-100%);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes slideInFromBottom {
  0% {
    transform: translateY(100%);
  }

  100% {
    transform: translateX(0);
  }
}

/* Tablets and under */
@media (max-width: 1000px) {
  .grid,
  .showcase .grid,
  .stats .grid,
  .cli .grid,
  .cloud .grid,
  .features-main .grid,
  .docs-main .grid {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
  }

  .navbar {
    height: auto;
    width: auto;
  }

  .navbar img {
    width: 150px;
    padding: 10px;
  }

  .navbar .flex {
    flex-direction: column;
  }

  .navbar ul {
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.1);
    font-size: 10px;
    text-align: center;
  }

  .showcase {
    height: auto;
  }

  .showcase-text {
    text-align: center;
    margin-top: 40px;
    animation: slideInFromTop 1s ease-in;
  }

  .showcase-form {
    justify-self: center;
    margin: auto;
    animation: slideInFromBottom 1s ease-in;
  }

  .cli .grid > *:first-child {
    grid-column: 1;
    grid-row: 1;
  }

  .features-head,
  .features-sub-head,
  .docs-head {
    text-align: center;
  }

  .features-head img,
  .features-sub-head img,
  .docs-head img {
    justify-self: center;
  }

  .features-main .grid > *:first-child,
  .features-main .grid > *:nth-child(2) {
    grid-column: 1;
  }
}

/* Mobile */
@media (max-width: 500px) {
  .navbar {
    height: auto;
    width: 100%;
  }

  .navbar img {
    width: 150px;
    padding: 10px;
  }

  .navbar nav{
    display: none;
  }

  .navbar .flex {
    flex-direction: column;
    justify-content: center;
  }

  .navbar ul {
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.1);
    font-size: 10px;
  }

  .showcase {
    height: 300px;
    background-image: url('../images/architectural-design2.jpg');
    background-repeat: no-repeat;
    background-size: 100% auto;
  }

  .showcase-form {
    width: auto;
    height: 250px;
    margin-top: -60px;
    margin-bottom: -60px;
  }

  .showcase-form h1 {
    font-size: 24px;
    font-weight: 900;
  }

  .showcase-form h2 {
    font-size: 18px;
    font-weight: 900;
    line-height: 1.1;
  }

  .showcase-form p {
    font-size: 16px;
    font-weight: 500;
    line-height: 1;
  }

  .showcase-text img{
    width: 200px;
    height: auto;
    margin-left: 0px;
  }

  .up {
    margin-top: -30px;
  }

  .video {
    width: 100%;
    height: 200px;
    padding: 0px;
    margin-top: 300px;
    margin-left: auto;
    margin-right: auto;
    background-color: none;
  }

  #d1 {
    padding: 0px 15px 0px 15px;
  }

  #d2 {
    padding: 0px 15px 0px 15px;
  }

  #d3 {
    padding: 0px 15px 0px 15px;
  }

  .p1 {
    font-size:36px;
  }

  .p2 {
    font-size:36px;
  }

  .p3 {
    font-size:36px;
  }

  .imagesba {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
  }

  .imagesba img {
    height: auto;
    width: 100%;
  }

  .daten {
    width: 300px;
  }
}





#fcf-form {
    display:block;
}

.fcf-body {
    margin: 0;
    font-family: -apple-system, Arial, sans-serif;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: left;
    background-color: #fff;
    padding: 30px;
    padding-bottom: 10px;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    max-width: 100%;
}

.fcf-form-group {
    margin-bottom: 1rem;
}

.fcf-input-group {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: stretch;
    align-items: stretch;
    width: 100%;
}

.fcf-form-control {
    display: block;
    width: 100%;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    outline: none;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.fcf-form-control:focus {
    border: 1px solid #313131;
}

select.fcf-form-control[size], select.fcf-form-control[multiple] {
    height: auto;
}

textarea.fcf-form-control {
    font-family: -apple-system, Arial, sans-serif;
    height: auto;
}

label.fcf-label {
    display: inline-block;
    margin-bottom: 0.5rem;
}

.fcf-credit {
    padding-top: 10px;
    font-size: 0.9rem;
    color: #545b62;
}

.fcf-credit a {
    color: #545b62;
    text-decoration: underline;
}

.fcf-credit a:hover {
    color: #0056b3;
    text-decoration: underline;
}

.fcf-btn {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
    .fcf-btn {
        transition: none;
    }
}

.fcf-body {
  width: 100%; max-width: 1000px;
  margin-left: auto;
  margin-right: auto;
  background-color: white;
}

.fcf-btn:hover {
    color: #212529;
    text-decoration: none;
}

.fcf-btn:focus, .fcf-btn.focus {
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.fcf-btn-primary {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}

.fcf-btn-primary:hover {
    color: #fff;
    background-color: #0069d9;
    border-color: #0062cc;
}

.fcf-btn-primary:focus, .fcf-btn-primary.focus {
    color: #fff;
    background-color: #0069d9;
    border-color: #0062cc;
    box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}

.fcf-btn-lg, .fcf-btn-group-lg>.fcf-btn {
    padding: 0.5rem 1rem;
    font-size: 1.25rem;
    line-height: 1.5;
    border-radius: 0.3rem;
}

.fcf-btn-block {
    display: block;
    width: 100%;
}

.fcf-btn-block+.fcf-btn-block {
    margin-top: 0.5rem;
}

input[type="submit"].fcf-btn-block, input[type="reset"].fcf-btn-block, input[type="button"].fcf-btn-block {
    width: 100%;
}
